Aden

Organisations

Organisations the authenticated user belongs to — list, detail, teams, and members (session only)

GET
/api/v1/organisations/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/organisations/"
GET
/api/v1/organisations/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/organisations/string"
GET
/api/v1/organisations/{id}/teams

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/organisations/string/teams"
GET
/api/v1/organisations/{id}/studios

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/organisations/string/studios"
GET
/api/v1/organisations/{id}/buildings

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/organisations/string/buildings"
GET
/api/v1/organisations/{id}/sessions

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/organisations/string/sessions"
GET
/api/v1/organisations/{id}/camps

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/organisations/string/camps"
GET
/api/v1/organisations/{id}/camps/{campId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
campId*string
curl -X GET "https://example.com/api/v1/organisations/string/camps/string"
POST
/api/v1/organisations/{id}/camps/{campId}/rsvp

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
campId*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/organisations/string/camps/string/rsvp" \  -H "Content-Type: application/json" \  -d '{    "status": "accepted"  }'
GET
/api/v1/organisations/{id}/members

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/organisations/string/members"
Was this helpful?